package controller

import "narasi-ahli-be/app/module/notifications/service"

type Controller struct {
	Notifications  NotificationsController
}

func NewController(
	NotificationsService service.NotificationsService,
) *Controller {
	return &Controller{
		Notifications: NewNotificationsController(NotificationsService),
	}
}
